/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-05-23 17:46:09 UTC)
 * on 2013-05-30 at 01:56:54 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.civicinfo.model;

/**
 * Describes the geographic scope of a contest.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Civic Information API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ElectoralDistrict extends com.google.api.client.json.GenericJson {

  /**
   * An identifier for this district, relative to its scope. For example, the 34th State Senate
   * district would have id "34" and a scope of stateUpper.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String id;

  /**
   * The name of the district.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String name;

  /**
   * The geographic scope of this district. If unspecified the district's geography is not known.
   * One of: statewide, congressional, stateUpper, stateLower, countywide, judicial, schoolBoard,
   * cityWide, special
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String scope;

  /**
   * An identifier for this district, relative to its scope. For example, the 34th State Senate
   * district would have id "34" and a scope of stateUpper.
   * @return value or {@code null} for none
   */
  public java.lang.String getId() {
    return id;
  }

  /**
   * An identifier for this district, relative to its scope. For example, the 34th State Senate
   * district would have id "34" and a scope of stateUpper.
   * @param id id or {@code null} for none
   */
  public ElectoralDistrict setId(java.lang.String id) {
    this.id = id;
    return this;
  }

  /**
   * The name of the district.
   * @return value or {@code null} for none
   */
  public java.lang.String getName() {
    return name;
  }

  /**
   * The name of the district.
   * @param name name or {@code null} for none
   */
  public ElectoralDistrict setName(java.lang.String name) {
    this.name = name;
    return this;
  }

  /**
   * The geographic scope of this district. If unspecified the district's geography is not known.
   * One of: statewide, congressional, stateUpper, stateLower, countywide, judicial, schoolBoard,
   * cityWide, special
   * @return value or {@code null} for none
   */
  public java.lang.String getScope() {
    return scope;
  }

  /**
   * The geographic scope of this district. If unspecified the district's geography is not known.
   * One of: statewide, congressional, stateUpper, stateLower, countywide, judicial, schoolBoard,
   * cityWide, special
   * @param scope scope or {@code null} for none
   */
  public ElectoralDistrict setScope(java.lang.String scope) {
    this.scope = scope;
    return this;
  }

  @Override
  public ElectoralDistrict set(String fieldName, Object value) {
    return (ElectoralDistrict) super.set(fieldName, value);
  }

  @Override
  public ElectoralDistrict clone() {
    return (ElectoralDistrict) super.clone();
  }

}
