/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-05-23 17:46:09 UTC)
 * on 2013-05-30 at 01:56:54 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.civicinfo.model;

/**
 * Describes a political geography.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Civic Information API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class GeographicDivision extends com.google.api.client.json.GenericJson {

  /**
   * Numerical value between 0 and 1 that expresses level of confidence that a given district is
   * relevant to the request.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Float confidence;

  /**
   * The name of the division.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String name;

  /**
   * The unique Open Civic Data identifier for this division.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String ocdId;

  /**
   * List of offices elected from this division.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Office> offices;

  static {
    // hack to force ProGuard to consider Office used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(Office.class);
  }

  /**
   * The type of this division. If unspecified the division's geography is not known.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String type;

  /**
   * Numerical value between 0 and 1 that expresses level of confidence that a given district is
   * relevant to the request.
   * @return value or {@code null} for none
   */
  public java.lang.Float getConfidence() {
    return confidence;
  }

  /**
   * Numerical value between 0 and 1 that expresses level of confidence that a given district is
   * relevant to the request.
   * @param confidence confidence or {@code null} for none
   */
  public GeographicDivision setConfidence(java.lang.Float confidence) {
    this.confidence = confidence;
    return this;
  }

  /**
   * The name of the division.
   * @return value or {@code null} for none
   */
  public java.lang.String getName() {
    return name;
  }

  /**
   * The name of the division.
   * @param name name or {@code null} for none
   */
  public GeographicDivision setName(java.lang.String name) {
    this.name = name;
    return this;
  }

  /**
   * The unique Open Civic Data identifier for this division.
   * @return value or {@code null} for none
   */
  public java.lang.String getOcdId() {
    return ocdId;
  }

  /**
   * The unique Open Civic Data identifier for this division.
   * @param ocdId ocdId or {@code null} for none
   */
  public GeographicDivision setOcdId(java.lang.String ocdId) {
    this.ocdId = ocdId;
    return this;
  }

  /**
   * List of offices elected from this division.
   * @return value or {@code null} for none
   */
  public java.util.List<Office> getOffices() {
    return offices;
  }

  /**
   * List of offices elected from this division.
   * @param offices offices or {@code null} for none
   */
  public GeographicDivision setOffices(java.util.List<Office> offices) {
    this.offices = offices;
    return this;
  }

  /**
   * The type of this division. If unspecified the division's geography is not known.
   * @return value or {@code null} for none
   */
  public java.lang.String getType() {
    return type;
  }

  /**
   * The type of this division. If unspecified the division's geography is not known.
   * @param type type or {@code null} for none
   */
  public GeographicDivision setType(java.lang.String type) {
    this.type = type;
    return this;
  }

  @Override
  public GeographicDivision set(String fieldName, Object value) {
    return (GeographicDivision) super.set(fieldName, value);
  }

  @Override
  public GeographicDivision clone() {
    return (GeographicDivision) super.clone();
  }

}
